<?php

namespace ProxiumWXfrm\Server;

use ProxiumWXfrm\Http\HttpMethod;
use ProxiumWXfrm\Http\Response;

interface Server
{
    public function requestUri():string;
    public function requestMethod():HttpMethod ;
    public function postData():array;
    public function files():array;
    public function queryParams():array;
    public function sendResponse(Response $response);
}
